Skip to main content
DELETE
/
v1
/
eligibility
/
checks
/
{check_id}
Delete Check
curl --request DELETE \
  --url https://api.example.com/v1/eligibility/checks/{check_id} \
  --header 'X-API-Key: <api-key>'
{
  "deleted_count": 123,
  "eligibility_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

check_id
string<uuid>
required

Query Parameters

scope
enum<string>
default:single

Deletion scope: 'single' deletes only the specified check; 'all_versions' deletes all checks sharing the same eligibility_search_id.

Available options:
single,
all_versions

Response

Successful Response

Response for eligibility check deletion

deleted_count
integer
required

Number of records deleted

eligibility_search_id
string<uuid>
required

The search ID that was deleted